> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Name enquiry

> Enquiry Account Name  



## OpenAPI

````yaml /openapi/payouts.json post /merchant/name-enquiry
openapi: 3.0.2
info:
  title: Flick Payouts API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Pay Out
    description: Inititating and Verifing of Transfer
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /merchant/name-enquiry:
    post:
      tags:
        - ''
      summary: Name enquiry
      description: 'Enquiry Account Name  '
      operationId: Getting name enquiry
      requestBody:
        description: Enquiring a name
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NameEnquiry'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NameEnquiryResponse'
        '400':
          description: Error loggin in, please check your login details and try again
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    NameEnquiry:
      required:
        - account_number
        - bank_code
      type: object
      properties:
        account_number:
          type: string
          example: '00011122233'
        bank_code:
          type: string
          example: '072'
    NameEnquiryResponse:
      type: object
      properties:
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Account resolved successfully
        data:
          type: object
          properties:
            status:
              type: string
              example: 'true'
            message:
              type: string
              example: Account number resolved
            data:
              type: object
              properties:
                account_number:
                  type: string
                  example: '0011223344'
                account_name:
                  type: string
                  example: User Name
                bank_id:
                  type: integer
                  example: '13'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.